<!DOCTYPE html>
{% load static %}
<head>
    <title>Write Status</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Satisfy" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/page.css' %}">
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 text-center">
                <h3 style="font-size: 45px">Hello! how are you?</h3><br><br>
            </div>
        </div>

        <div class="row text-center">
            <div class="col-lg-12 col-md-12 col-sm-12" style="margin: 50px 0;" >
                <section>
                    <form id="form" method="POST" action="{% url 'status' %}">
                        {% csrf_token %}
                        {% for field in form %}
                        <p>{{ field.label_tag}} <br> {{ field }}</p>
                        {% endfor %}
                        <br>
                        <button type="submit" class="btn btn-default" action="{% url 'status' %}" style="background-color: #000000; color: #ffffff">Post</button>
                    </form>
                </section>
            </div>
        </div>

        <div class="row">
            <table style="width:100%">
                {% if status_message %}
                <tr>
                    <th>Today's status</th>
                </tr>
                {% for a in status_message %}
                <tr>
                    <td> {{ a.message }} </td>
                    <td> {{ a.time }} </td>
                </tr>
                {% endfor %}
                {% else %}
                <h2>There is no status</h2>
                {% endif %}
            </table>
        </div>

        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 text-center">
                 <a href="{% url 'profile' %}" class="btn btn-default" style="background-color: #000000; color: #ffffff; font-size: 12px" role="button">Click here to see my profile!</a>
            </div>
        </div>
    </div>

</body>
</html>